Subject: bug#8869: Unjustified selection time-out

From: Glenn Morris <[email-masked]>
Date: Thu, 23 Feb 2012 21:47:40 -0500

Stefan Monnier wrote:

> Aha!  Thanks, now I have a recipe for one of those problems:
>
> emacs -Q
> C-x 5 2
> C-SPC M-< M-w
> press the close button (yes, I do have it, tho it's not a button, it's
> just one of the many operations available in one of the menus ;-).
>
> then Emacs will first wait 20s and then delete the frame (with the
> clipboard-timeout message in the remaining frame).

Similar problems using current trunk on RHEL6.2 under XFCE 4.8:

emacs -Q
C-SPC M-< M-w
C-x C-c

Emacs sits there for 20 seconds before exiting, then prints

  Error saving to X clipboard manager.
  If the problem persists, set `x-select-enable-clipboard-manager' to nil.

in the terminal.

I've never seen another application pause in this way before exiting.

This keeps bugging me when I use `emacs -Q' to test things.

I can't even set x-selection-timeout to something small via
X resources, because -Q ignores those. :(